%exam_8_38
clear;
N=60;
F=0:1/60:1; %设置抽样点的频率，抽样频率必须含0和1。 
A=[ones(1,30),zeros(1,N-29)]; %设置抽样点相应的幅值 
B=fir2(N,F,A);
freqz(B); %绘制滤波器的频率响应曲线 
figure(2);stem(B,'.'); %绘制单位冲激响应的实部 
% title('频率抽样法设计出的数字滤波器的单位脉冲响应序列h(n)','Fontsize',20);
line([0,35],[0,0]);xlabel('n','Fontsize',20);ylabel('h(n)','Fontsize',20);
set(gca,'Fontsize',20);
